Last Comment Bug 525900 - Wrong plural form for unread when selecting multiple messages
: Wrong plural form for unread when selecting multiple messages
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: 3.0
: All All
: -- trivial (vote)
: Thunderbird 20.0
Assigned To: Magnus Melin
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-02 09:56 PST by Stefan Plewako [:stef]
Modified: 2013-01-04 12:27 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot (147.08 KB, image/png)
2012-10-29 09:41 PDT, Stefan Plewako [:stef]
no flags Details
proposed fix (2.06 KB, patch)
2012-12-28 02:18 PST, Magnus Melin
bugmail: review+
Details | Diff | Review

Description Stefan Plewako [:stef] 2009-11-02 09:56:08 PST
"message counter" is using only one plural form/choice to display info about total number of selected messages and the number of unread ones within when I have two threads selected (needed to show summaries) with one unread message and some number (depends on locale and plural rules) of messages marked as read (in one thread) - in other words, we are using plural form of total for unread.

Affected string: countUnread@mail/chrome/messenger/multimessageview.properties
Comment 1 :aceman 2012-10-29 07:32:17 PDT
Can you attach a screenshot to show which message counter you mean?
Comment 2 Stefan Plewako [:stef] 2012-10-29 09:41:43 PDT
Created attachment 676197 [details]
screenshot
Comment 3 Rimas Kudelis 2012-10-29 09:55:46 PDT
Confirming, I see that too with the latest Daily build.
Comment 4 Magnus Melin 2012-12-28 02:18:21 PST
Created attachment 696261 [details] [diff] [review]
proposed fix

Thx Stefan for the analysis!
Comment 5 Magnus Melin 2013-01-04 12:27:05 PST
http://hg.mozilla.org/comm-central/rev/4ed677746d79 -> FIXED

Note You need to log in before you can comment on or make changes to this bug.